Subject: bug#13041: 24.2; diacritic-fold-search

From: Eli Zaretskii <[email-masked]>
Date: Fri, 07 Dec 2012 08:33:04 +0200

> From: Juri Linkov <[email-masked]>
> Date: Fri, 07 Dec 2012 02:58:17 +0200
> Cc: [email-masked], [email-masked], [email-masked]
> 
> > Emacs contains ucs-normailze package which provides various
> > normalization functions.  For instance,
> >
> > (require 'ucs-normalize)
> > (ucs-normalize-NFKD-string "Äffin") => "Äffin"
> >
> > Isn't it usable?
> 
> This is usable to sort and compare strings, but I don't see
> how ucs-normalize.el could help in the search.

I agree.

> I suppose the searched buffer can't be normalized before starting a
> search.

Yes, that's not acceptable.

> So the search function somehow should be able to skip combining
> characters in the buffer.  But to do this, the translation table needs
> to contain additional information about certain characters to ignore.

Right.  This is very similar to how the search primitives currently
use the case tables, except that they don't skip characters.  But
adding such a skip operation should be easy.

> Also the translation table should be able to map a sequence of
> characters like "ss" to "ß".

I'd say the other way around: map ß to ss.